Index: harvest/ChangeLog
diff -c harvest/ChangeLog:2.9 harvest/ChangeLog:2.12
*** harvest/ChangeLog:2.9	Sat May  3 18:10:43 1997
--- harvest/ChangeLog	Mon Jun  9 19:07:21 1997
***************
*** 1,4 ****
--- 1,15 ----
  Changes in current version
+ 	- Fixed configure files so libraries are included in correct order
+           for Solaris (Simon Wilkinson)
+ 	- Fixed SGML.sum so that all debug output is sent to STDERR so it
+ 	  doesn't corrupt generated data (Simon Woods)
+ 	- Fixed undef of SOIF associative array for compatibilty with
+ 	  Perl 5.004 (Bill Corley)
+ 	- Fixed bug where a url wasn't closed in httpenum-breadth 
+ 	  (Wolfgang Klimt)
+ 	- Made broker more resilient to glimpse bugs (Simon Wilkinson)
+ 	- Fixed commenting mistake in glimpse Makefile (Jeffrey Goldberg)
+         - Changed broker config so numbers are now indexed by glimpse
  	- Added missing ftp files ftp.pl and chat2.pl (Simon Wilkinson)
  	- Fix for Year 2000 logging and file naming problem (logs
  	  should now be produced using 4 digits for the year) (Simon Wilkinson,
Index: harvest/components/broker/standard/configure
diff -c harvest/components/broker/standard/configure:2.2 harvest/components/broker/standard/configure:2.3
*** harvest/components/broker/standard/configure:2.2	Thu Apr 17 16:16:07 1997
--- harvest/components/broker/standard/configure	Fri May 30 18:48:45 1997
***************
*** 1055,1070 ****
          fi
  fi
  
! echo $ac_n "checking for main in -lresolv""... $ac_c" 1>&6
! echo "configure:1060: checking for main in -lresolv" >&5
! ac_lib_var=`echo resolv'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lresolv  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1068 "configure"
  #include "confdefs.h"
  
  int main() {
--- 1055,1072 ----
          fi
  fi
  
! 
! if test x$NO_LIBMALLOC = x ; then
! 	echo $ac_n "checking for main in -lmalloc""... $ac_c" 1>&6
! echo "configure:1062: checking for main in -lmalloc" >&5
! ac_lib_var=`echo malloc'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lmalloc  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1070 "configure"
  #include "confdefs.h"
  
  int main() {
***************
*** 1071,1077 ****
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:1075: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 1073,1079 ----
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:1077: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 1086,1117 ****
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lresolv"
  else
    echo "$ac_t""no" 1>&6
  fi
  
! echo $ac_n "checking for setsockopt in -lsocket""... $ac_c" 1>&6
! echo "configure:1096: checking for setsockopt in -lsocket" >&5
! ac_lib_var=`echo socket'_'setsockopt | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lsocket  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1104 "configure"
  #include "confdefs.h"
- /* Override any gcc2 internal prototype to avoid an error.  */
- /* We use char because int might match the return type of a gcc2
-     builtin and then its argument prototype would still apply.  */
- char setsockopt();
  
  int main() {
! setsockopt()
  ; return 0; }
  EOF
! if { (eval echo configure:1115: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 1088,1118 ----
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lmalloc"
  else
    echo "$ac_t""no" 1>&6
  fi
  
! fi
! 
! 
! echo $ac_n "checking for main in -lresolv""... $ac_c" 1>&6
! echo "configure:1101: checking for main in -lresolv" >&5
! ac_lib_var=`echo resolv'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lresolv  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1109 "configure"
  #include "confdefs.h"
  
  int main() {
! main()
  ; return 0; }
  EOF
! if { (eval echo configure:1116: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 1126,1154 ****
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lsocket"
  else
    echo "$ac_t""no" 1>&6
  fi
  
! if test x$NO_LIBMALLOC = x ; then
! 	echo $ac_n "checking for main in -lmalloc""... $ac_c" 1>&6
! echo "configure:1137: checking for main in -lmalloc" >&5
! ac_lib_var=`echo malloc'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lmalloc  $LIBS"
  cat > conftest.$ac_ext <<EOF
  #line 1145 "configure"
  #include "confdefs.h"
  
  int main() {
! main()
  ; return 0; }
  EOF
! if { (eval echo configure:1152: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 1127,1158 ----
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lresolv"
  else
    echo "$ac_t""no" 1>&6
  fi
  
! echo $ac_n "checking for setsockopt in -lsocket""... $ac_c" 1>&6
! echo "configure:1137: checking for setsockopt in -lsocket" >&5
! ac_lib_var=`echo socket'_'setsockopt | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lsocket  $LIBS"
  cat > conftest.$ac_ext <<EOF
  #line 1145 "configure"
  #include "confdefs.h"
+ /* Override any gcc2 internal prototype to avoid an error.  */
+ /* We use char because int might match the return type of a gcc2
+     builtin and then its argument prototype would still apply.  */
+ char setsockopt();
  
  int main() {
! setsockopt()
  ; return 0; }
  EOF
! if { (eval echo configure:1156: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 1163,1176 ****
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lmalloc"
  else
    echo "$ac_t""no" 1>&6
  fi
  
- fi
  echo $ac_n "checking for gethostname in -lnsl""... $ac_c" 1>&6
! echo "configure:1174: checking for gethostname in -lnsl" >&5
  ac_lib_var=`echo nsl'_'gethostname | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
--- 1167,1179 ----
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lsocket"
  else
    echo "$ac_t""no" 1>&6
  fi
  
  echo $ac_n "checking for gethostname in -lnsl""... $ac_c" 1>&6
! echo "configure:1177: checking for gethostname in -lnsl" >&5
  ac_lib_var=`echo nsl'_'gethostname | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
***************
*** 1178,1184 ****
    ac_save_LIBS="$LIBS"
  LIBS="-lnsl  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1182 "configure"
  #include "confdefs.h"
  /* Override any gcc2 internal prototype to avoid an error.  */
  /* We use char because int might match the return type of a gcc2
--- 1181,1187 ----
    ac_save_LIBS="$LIBS"
  LIBS="-lnsl  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1185 "configure"
  #include "confdefs.h"
  /* Override any gcc2 internal prototype to avoid an error.  */
  /* We use char because int might match the return type of a gcc2
***************
*** 1189,1195 ****
  gethostname()
  ; return 0; }
  EOF
! if { (eval echo configure:1193: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 1192,1198 ----
  gethostname()
  ; return 0; }
  EOF
! if { (eval echo configure:1196: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 1211,1217 ****
  
  
  echo $ac_n "checking for inet_aton in -l44bsd""... $ac_c" 1>&6
! echo "configure:1215: checking for inet_aton in -l44bsd" >&5
  ac_lib_var=`echo 44bsd'_'inet_aton | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
--- 1214,1220 ----
  
  
  echo $ac_n "checking for inet_aton in -l44bsd""... $ac_c" 1>&6
! echo "configure:1218: checking for inet_aton in -l44bsd" >&5
  ac_lib_var=`echo 44bsd'_'inet_aton | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
***************
*** 1219,1225 ****
    ac_save_LIBS="$LIBS"
  LIBS="-l44bsd  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1223 "configure"
  #include "confdefs.h"
  /* Override any gcc2 internal prototype to avoid an error.  */
  /* We use char because int might match the return type of a gcc2
--- 1222,1228 ----
    ac_save_LIBS="$LIBS"
  LIBS="-l44bsd  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1226 "configure"
  #include "confdefs.h"
  /* Override any gcc2 internal prototype to avoid an error.  */
  /* We use char because int might match the return type of a gcc2
***************
*** 1230,1236 ****
  inet_aton()
  ; return 0; }
  EOF
! if { (eval echo configure:1234: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 1233,1239 ----
  inet_aton()
  ; return 0; }
  EOF
! if { (eval echo configure:1237: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 1251,1257 ****
  fi
  
  echo $ac_n "checking for inet_aton in -lresolv""... $ac_c" 1>&6
! echo "configure:1255: checking for inet_aton in -lresolv" >&5
  ac_lib_var=`echo resolv'_'inet_aton | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
--- 1254,1260 ----
  fi
  
  echo $ac_n "checking for inet_aton in -lresolv""... $ac_c" 1>&6
! echo "configure:1258: checking for inet_aton in -lresolv" >&5
  ac_lib_var=`echo resolv'_'inet_aton | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
***************
*** 1259,1265 ****
    ac_save_LIBS="$LIBS"
  LIBS="-lresolv  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1263 "configure"
  #include "confdefs.h"
  /* Override any gcc2 internal prototype to avoid an error.  */
  /* We use char because int might match the return type of a gcc2
--- 1262,1268 ----
    ac_save_LIBS="$LIBS"
  LIBS="-lresolv  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1266 "configure"
  #include "confdefs.h"
  /* Override any gcc2 internal prototype to avoid an error.  */
  /* We use char because int might match the return type of a gcc2
***************
*** 1270,1276 ****
  inet_aton()
  ; return 0; }
  EOF
! if { (eval echo configure:1274: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 1273,1279 ----
  inet_aton()
  ; return 0; }
  EOF
! if { (eval echo configure:1277: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
Index: harvest/components/broker/standard/configure.in
diff -c harvest/components/broker/standard/configure.in:2.3 harvest/components/broker/standard/configure.in:2.4
*** harvest/components/broker/standard/configure.in:2.3	Thu Apr 17 16:16:11 1997
--- harvest/components/broker/standard/configure.in	Fri May 30 18:48:46 1997
***************
*** 1,7 ****
  dnl
  dnl  Configuration input file for standard Harvest broker components
  dnl
! dnl  configure.in,v 2.3 1997/04/17 15:16:11 sxw Exp
  dnl
  
  AC_PREREQ(2.12)
--- 1,7 ----
  dnl
  dnl  Configuration input file for standard Harvest broker components
  dnl
! dnl  configure.in,v 2.4 1997/05/30 17:48:46 sxw Exp
  dnl
  
  AC_PREREQ(2.12)
***************
*** 68,78 ****
  fi
  
  dnl Check for needed libraries
! AC_CHECK_LIB(resolv, main, [XTRA_LIBS="$XTRA_LIBS -lresolv"])
! AC_CHECK_LIB(socket, setsockopt, [XTRA_LIBS="$XTRA_LIBS -lsocket"])
  if test x$NO_LIBMALLOC = x ; then
  	AC_CHECK_LIB(malloc, main, [XTRA_LIBS="$XTRA_LIBS -lmalloc"])
  fi
  AC_CHECK_LIB(nsl, gethostname, [XTRA_LIBS="$XTRA_LIBS -lnsl"])
  
  dnl We found a version of libresolv on SunOS 4.x which requires -l44bsd
--- 68,81 ----
  fi
  
  dnl Check for needed libraries
! 
  if test x$NO_LIBMALLOC = x ; then
  	AC_CHECK_LIB(malloc, main, [XTRA_LIBS="$XTRA_LIBS -lmalloc"])
  fi
+ 
+ 
+ AC_CHECK_LIB(resolv, main, [XTRA_LIBS="$XTRA_LIBS -lresolv"])
+ AC_CHECK_LIB(socket, setsockopt, [XTRA_LIBS="$XTRA_LIBS -lsocket"])
  AC_CHECK_LIB(nsl, gethostname, [XTRA_LIBS="$XTRA_LIBS -lnsl"])
  
  dnl We found a version of libresolv on SunOS 4.x which requires -l44bsd
Index: harvest/components/broker/standard/WWW/BrokerQuery.pl
diff -c harvest/components/broker/standard/WWW/BrokerQuery.pl:2.3 harvest/components/broker/standard/WWW/BrokerQuery.pl:2.4
*** harvest/components/broker/standard/WWW/BrokerQuery.pl:2.3	Tue May 13 22:47:20 1997
--- harvest/components/broker/standard/WWW/BrokerQuery.pl	Mon Jun  9 18:35:12 1997
***************
*** 8,14 ****
  #  $BQLOG = "/usr/local/etc/httpd/logs/BrokerQuery.log";
  $BQLOG = "/dev/null";
  
! $rcsid = 'BrokerQuery.pl,v 2.3 1997/05/13 21:47:20 sxw Exp';
  #######################################################################
  #
  #  BrokerQuery.pl - Customizable WWW Interface to the Harvest Broker
--- 8,14 ----
  #  $BQLOG = "/usr/local/etc/httpd/logs/BrokerQuery.log";
  $BQLOG = "/dev/null";
  
! $rcsid = 'BrokerQuery.pl,v 2.4 1997/06/09 17:35:12 sxw Exp';
  #######################################################################
  #
  #  BrokerQuery.pl - Customizable WWW Interface to the Harvest Broker
***************
*** 343,349 ****
  
  	@OBJ = sort bynml @OBJ if ($sort eq 'by-NML');
  
! 	while (($curobj || (%SOIF=undef, $curobj = shift(@OBJ))) && (($_, $curobj) = split(/\n/, $curobj, 2))) {
  
  		# 124 - The description line of the match
  		if (/^124 - (\d+)/o) {
--- 343,349 ----
  
  	@OBJ = sort bynml @OBJ if ($sort eq 'by-NML');
  
! 	while (($curobj || (undef %SOIF, $curobj = shift(@OBJ))) && (($_, $curobj) = split(/\n/, $curobj, 2))) {
  
  		# 124 - The description line of the match
  		if (/^124 - (\d+)/o) {
Index: harvest/components/broker/standard/WWW/nph-search
diff -c harvest/components/broker/standard/WWW/nph-search:2.4 harvest/components/broker/standard/WWW/nph-search:2.5
*** harvest/components/broker/standard/WWW/nph-search:2.4	Tue May 13 22:47:20 1997
--- harvest/components/broker/standard/WWW/nph-search	Mon Jun  9 18:35:12 1997
***************
*** 8,14 ****
  #  $BQLOG = "/usr/local/etc/httpd/logs/BrokerQuery.log";
  $BQLOG = "/dev/null";
  
! $rcsid = 'nph-search,v 2.4 1997/05/13 21:47:20 sxw Exp';
  #######################################################################
  #
  #  nph-search - Customizable WWW Interface to the Harvest Broker
--- 8,14 ----
  #  $BQLOG = "/usr/local/etc/httpd/logs/BrokerQuery.log";
  $BQLOG = "/dev/null";
  
! $rcsid = 'nph-search,v 2.5 1997/06/09 17:35:12 sxw Exp';
  #######################################################################
  #
  #  nph-search - Customizable WWW Interface to the Harvest Broker
***************
*** 529,535 ****
  
              @OBJ = sort bynml @OBJ if ($sort eq 'by-NML');
  
!             while (($curobj || (%SOIF=undef,$curobj = shift(@OBJ))) && (($_, $curobj) = split(/\n/, $curobj, 2))) {
  
                  # 124 - The description line of the match
                  if (/^124 - (\d+)/o) {
--- 529,535 ----
  
              @OBJ = sort bynml @OBJ if ($sort eq 'by-NML');
  
!             while (($curobj || (undef %SOIF,$curobj = shift(@OBJ))) && (($_, $curobj) = split(/\n/, $curobj, 2))) {
  
                  # 124 - The description line of the match
                  if (/^124 - (\d+)/o) {
Index: harvest/components/gatherer/standard/configure
diff -c harvest/components/gatherer/standard/configure:2.0 harvest/components/gatherer/standard/configure:2.1
*** harvest/components/gatherer/standard/configure:2.0	Sun Mar 16 22:02:37 1997
--- harvest/components/gatherer/standard/configure	Fri May 30 18:49:10 1997
***************
*** 1184,1199 ****
          fi
  fi
  
! echo $ac_n "checking for main in -lresolv""... $ac_c" 1>&6
! echo "configure:1189: checking for main in -lresolv" >&5
! ac_lib_var=`echo resolv'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lresolv  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1197 "configure"
  #include "confdefs.h"
  
  int main() {
--- 1184,1200 ----
          fi
  fi
  
! if test x$NO_LIBMALLOC = x ; then
! 	echo $ac_n "checking for main in -lmalloc""... $ac_c" 1>&6
! echo "configure:1190: checking for main in -lmalloc" >&5
! ac_lib_var=`echo malloc'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lmalloc  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1198 "configure"
  #include "confdefs.h"
  
  int main() {
***************
*** 1200,1206 ****
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:1204: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 1201,1207 ----
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:1205: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 1215,1235 ****
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lresolv"
  else
    echo "$ac_t""no" 1>&6
  fi
  
! echo $ac_n "checking for main in -lsocket""... $ac_c" 1>&6
! echo "configure:1225: checking for main in -lsocket" >&5
! ac_lib_var=`echo socket'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lsocket  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1233 "configure"
  #include "confdefs.h"
  
  int main() {
--- 1216,1237 ----
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lmalloc"
  else
    echo "$ac_t""no" 1>&6
  fi
  
! fi
! echo $ac_n "checking for main in -lresolv""... $ac_c" 1>&6
! echo "configure:1227: checking for main in -lresolv" >&5
! ac_lib_var=`echo resolv'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lresolv  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1235 "configure"
  #include "confdefs.h"
  
  int main() {
***************
*** 1236,1242 ****
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:1240: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 1238,1244 ----
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:1242: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 1251,1272 ****
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lsocket"
  else
    echo "$ac_t""no" 1>&6
  fi
  
! if test x$NO_LIBMALLOC = x ; then
! 	echo $ac_n "checking for main in -lmalloc""... $ac_c" 1>&6
! echo "configure:1262: checking for main in -lmalloc" >&5
! ac_lib_var=`echo malloc'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lmalloc  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1270 "configure"
  #include "confdefs.h"
  
  int main() {
--- 1253,1273 ----
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lresolv"
  else
    echo "$ac_t""no" 1>&6
  fi
  
! echo $ac_n "checking for main in -lsocket""... $ac_c" 1>&6
! echo "configure:1263: checking for main in -lsocket" >&5
! ac_lib_var=`echo socket'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lsocket  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1271 "configure"
  #include "confdefs.h"
  
  int main() {
***************
*** 1273,1279 ****
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:1277: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 1274,1280 ----
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:1278: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 1288,1299 ****
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lmalloc"
  else
    echo "$ac_t""no" 1>&6
  fi
  
- fi
  echo $ac_n "checking for main in -lnsl""... $ac_c" 1>&6
  echo "configure:1299: checking for main in -lnsl" >&5
  ac_lib_var=`echo nsl'_'main | sed 'y%./+-%__p_%'`
--- 1289,1299 ----
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lsocket"
  else
    echo "$ac_t""no" 1>&6
  fi
  
  echo $ac_n "checking for main in -lnsl""... $ac_c" 1>&6
  echo "configure:1299: checking for main in -lnsl" >&5
  ac_lib_var=`echo nsl'_'main | sed 'y%./+-%__p_%'`
Index: harvest/components/gatherer/standard/configure.in
diff -c harvest/components/gatherer/standard/configure.in:2.1 harvest/components/gatherer/standard/configure.in:2.2
*** harvest/components/gatherer/standard/configure.in:2.1	Fri Mar 21 17:19:22 1997
--- harvest/components/gatherer/standard/configure.in	Fri May 30 18:49:11 1997
***************
*** 3,9 ****
  dnl
  dnl  Darren Hardy, hardy@cs.colorado.edu, July 1994
  dnl
! dnl  configure.in,v 2.1 1997/03/21 17:19:22 sxw Exp
  dnl
  
  AC_PREREQ(2.12)
--- 3,9 ----
  dnl
  dnl  Darren Hardy, hardy@cs.colorado.edu, July 1994
  dnl
! dnl  configure.in,v 2.2 1997/05/30 17:49:11 sxw Exp
  dnl
  
  AC_PREREQ(2.12)
***************
*** 69,79 ****
  fi
  
  dnl Check for needed libraries
- AC_CHECK_LIB(resolv, main, [XTRA_LIBS="$XTRA_LIBS -lresolv"])
- AC_CHECK_LIB(socket, main, [XTRA_LIBS="$XTRA_LIBS -lsocket"])
  if test x$NO_LIBMALLOC = x ; then
  	AC_CHECK_LIB(malloc, main, [XTRA_LIBS="$XTRA_LIBS -lmalloc"])
  fi
  AC_CHECK_LIB(nsl, main, [XTRA_LIBS="$XTRA_LIBS -lnsl"])
  
  dnl Override XTRA_LIBS
--- 69,79 ----
  fi
  
  dnl Check for needed libraries
  if test x$NO_LIBMALLOC = x ; then
  	AC_CHECK_LIB(malloc, main, [XTRA_LIBS="$XTRA_LIBS -lmalloc"])
  fi
+ AC_CHECK_LIB(resolv, main, [XTRA_LIBS="$XTRA_LIBS -lresolv"])
+ AC_CHECK_LIB(socket, main, [XTRA_LIBS="$XTRA_LIBS -lsocket"])
  AC_CHECK_LIB(nsl, main, [XTRA_LIBS="$XTRA_LIBS -lnsl"])
  
  dnl Override XTRA_LIBS
Index: harvest/components/gatherer/standard/SGML/SGML.sum
diff -c harvest/components/gatherer/standard/SGML/SGML.sum:2.0 harvest/components/gatherer/standard/SGML/SGML.sum:2.1
*** harvest/components/gatherer/standard/SGML/SGML.sum:2.0	Sun Mar 16 22:02:49 1997
--- harvest/components/gatherer/standard/SGML/SGML.sum	Mon Jun  9 18:51:05 1997
***************
*** 333,339 ****
  	local (@atts) = ();
  	local ($att);
  
! 	print "tagvar=$tagvar\n" if ($debug);
  	if (defined ($SOIF{$tagvar})) {
  		foreach $att (split (/,/, $SOIF{$tagvar})) {
  			if ($att =~ /\$/) {		# $NAME
--- 333,339 ----
  	local (@atts) = ();
  	local ($att);
  
! 	print STDERR "tagvar=$tagvar\n" if ($debug);
  	if (defined ($SOIF{$tagvar})) {
  		foreach $att (split (/,/, $SOIF{$tagvar})) {
  			if ($att =~ /\$/) {		# $NAME
Index: harvest/src/configure
diff -c harvest/src/configure:2.0 harvest/src/configure:2.1
*** harvest/src/configure:2.0	Sun Mar 16 22:10:26 1997
--- harvest/src/configure	Fri May 30 18:49:14 1997
***************
*** 1919,1934 ****
  done
  
  
! echo $ac_n "checking for main in -lsocket""... $ac_c" 1>&6
! echo "configure:1924: checking for main in -lsocket" >&5
! ac_lib_var=`echo socket'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lsocket  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1932 "configure"
  #include "confdefs.h"
  
  int main() {
--- 1919,1935 ----
  done
  
  
! 
! echo $ac_n "checking for main in -lmalloc""... $ac_c" 1>&6
! echo "configure:1925: checking for main in -lmalloc" >&5
! ac_lib_var=`echo malloc'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lmalloc  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1933 "configure"
  #include "confdefs.h"
  
  int main() {
***************
*** 1935,1941 ****
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:1939: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 1936,1942 ----
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:1940: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 1950,1970 ****
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lsocket"
  else
    echo "$ac_t""no" 1>&6
  fi
  
! echo $ac_n "checking for main in -lmalloc""... $ac_c" 1>&6
! echo "configure:1960: checking for main in -lmalloc" >&5
! ac_lib_var=`echo malloc'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lmalloc  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1968 "configure"
  #include "confdefs.h"
  
  int main() {
--- 1951,1972 ----
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lmalloc"
  else
    echo "$ac_t""no" 1>&6
  fi
  
! 
! echo $ac_n "checking for main in -lresolv""... $ac_c" 1>&6
! echo "configure:1962: checking for main in -lresolv" >&5
! ac_lib_var=`echo resolv'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lresolv  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1970 "configure"
  #include "confdefs.h"
  
  int main() {
***************
*** 1971,1977 ****
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:1975: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 1973,1979 ----
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:1977: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 1986,2006 ****
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lmalloc"
  else
    echo "$ac_t""no" 1>&6
  fi
  
! echo $ac_n "checking for main in -lnsl""... $ac_c" 1>&6
! echo "configure:1996: checking for main in -lnsl" >&5
! ac_lib_var=`echo nsl'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lnsl  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 2004 "configure"
  #include "confdefs.h"
  
  int main() {
--- 1988,2008 ----
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lresolv"
  else
    echo "$ac_t""no" 1>&6
  fi
  
! echo $ac_n "checking for main in -lsocket""... $ac_c" 1>&6
! echo "configure:1998: checking for main in -lsocket" >&5
! ac_lib_var=`echo socket'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lsocket  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 2006 "configure"
  #include "confdefs.h"
  
  int main() {
***************
*** 2007,2013 ****
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:2011: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 2009,2015 ----
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:2013: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 2022,2042 ****
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lnsl"
  else
    echo "$ac_t""no" 1>&6
  fi
  
! echo $ac_n "checking for main in -lresolv""... $ac_c" 1>&6
! echo "configure:2032: checking for main in -lresolv" >&5
! ac_lib_var=`echo resolv'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lresolv  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 2040 "configure"
  #include "confdefs.h"
  
  int main() {
--- 2024,2044 ----
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lsocket"
  else
    echo "$ac_t""no" 1>&6
  fi
  
! echo $ac_n "checking for main in -lnsl""... $ac_c" 1>&6
! echo "configure:2034: checking for main in -lnsl" >&5
! ac_lib_var=`echo nsl'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    ac_save_LIBS="$LIBS"
! LIBS="-lnsl  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 2042 "configure"
  #include "confdefs.h"
  
  int main() {
***************
*** 2043,2049 ****
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:2047: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 2045,2051 ----
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:2049: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 2058,2064 ****
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lresolv"
  else
    echo "$ac_t""no" 1>&6
  fi
--- 2060,2066 ----
  fi
  if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
    echo "$ac_t""yes" 1>&6
!   XTRA_LIBS="$XTRA_LIBS -lnsl"
  else
    echo "$ac_t""no" 1>&6
  fi
***************
*** 2065,2071 ****
  
  
  echo $ac_n "checking for inet_aton in -l44bsd""... $ac_c" 1>&6
! echo "configure:2069: checking for inet_aton in -l44bsd" >&5
  ac_lib_var=`echo 44bsd'_'inet_aton | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
--- 2067,2073 ----
  
  
  echo $ac_n "checking for inet_aton in -l44bsd""... $ac_c" 1>&6
! echo "configure:2071: checking for inet_aton in -l44bsd" >&5
  ac_lib_var=`echo 44bsd'_'inet_aton | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
***************
*** 2073,2079 ****
    ac_save_LIBS="$LIBS"
  LIBS="-l44bsd  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 2077 "configure"
  #include "confdefs.h"
  /* Override any gcc2 internal prototype to avoid an error.  */
  /* We use char because int might match the return type of a gcc2
--- 2075,2081 ----
    ac_save_LIBS="$LIBS"
  LIBS="-l44bsd  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 2079 "configure"
  #include "confdefs.h"
  /* Override any gcc2 internal prototype to avoid an error.  */
  /* We use char because int might match the return type of a gcc2
***************
*** 2084,2090 ****
  inet_aton()
  ; return 0; }
  EOF
! if { (eval echo configure:2088: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 2086,2092 ----
  inet_aton()
  ; return 0; }
  EOF
! if { (eval echo configure:2090: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 2105,2111 ****
  fi
  
  echo $ac_n "checking for inet_aton in -lresolv""... $ac_c" 1>&6
! echo "configure:2109: checking for inet_aton in -lresolv" >&5
  ac_lib_var=`echo resolv'_'inet_aton | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
--- 2107,2113 ----
  fi
  
  echo $ac_n "checking for inet_aton in -lresolv""... $ac_c" 1>&6
! echo "configure:2111: checking for inet_aton in -lresolv" >&5
  ac_lib_var=`echo resolv'_'inet_aton | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
***************
*** 2113,2119 ****
    ac_save_LIBS="$LIBS"
  LIBS="-lresolv  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 2117 "configure"
  #include "confdefs.h"
  /* Override any gcc2 internal prototype to avoid an error.  */
  /* We use char because int might match the return type of a gcc2
--- 2115,2121 ----
    ac_save_LIBS="$LIBS"
  LIBS="-lresolv  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 2119 "configure"
  #include "confdefs.h"
  /* Override any gcc2 internal prototype to avoid an error.  */
  /* We use char because int might match the return type of a gcc2
***************
*** 2124,2130 ****
  inet_aton()
  ; return 0; }
  EOF
! if { (eval echo configure:2128: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 2126,2132 ----
  inet_aton()
  ; return 0; }
  EOF
! if { (eval echo configure:2130: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 2146,2152 ****
  
  
  echo $ac_n "checking for crypt in -lcrypt""... $ac_c" 1>&6
! echo "configure:2150: checking for crypt in -lcrypt" >&5
  ac_lib_var=`echo crypt'_'crypt | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
--- 2148,2154 ----
  
  
  echo $ac_n "checking for crypt in -lcrypt""... $ac_c" 1>&6
! echo "configure:2152: checking for crypt in -lcrypt" >&5
  ac_lib_var=`echo crypt'_'crypt | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
***************
*** 2154,2160 ****
    ac_save_LIBS="$LIBS"
  LIBS="-lcrypt  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 2158 "configure"
  #include "confdefs.h"
  /* Override any gcc2 internal prototype to avoid an error.  */
  /* We use char because int might match the return type of a gcc2
--- 2156,2162 ----
    ac_save_LIBS="$LIBS"
  LIBS="-lcrypt  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 2160 "configure"
  #include "confdefs.h"
  /* Override any gcc2 internal prototype to avoid an error.  */
  /* We use char because int might match the return type of a gcc2
***************
*** 2165,2171 ****
  crypt()
  ; return 0; }
  EOF
! if { (eval echo configure:2169: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 2167,2173 ----
  crypt()
  ; return 0; }
  EOF
! if { (eval echo configure:2171: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 2187,2193 ****
  
  
  echo $ac_n "checking for main in -ldbm""... $ac_c" 1>&6
! echo "configure:2191: checking for main in -ldbm" >&5
  ac_lib_var=`echo dbm'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
--- 2189,2195 ----
  
  
  echo $ac_n "checking for main in -ldbm""... $ac_c" 1>&6
! echo "configure:2193: checking for main in -ldbm" >&5
  ac_lib_var=`echo dbm'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
***************
*** 2195,2201 ****
    ac_save_LIBS="$LIBS"
  LIBS="-ldbm  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 2199 "configure"
  #include "confdefs.h"
  
  int main() {
--- 2197,2203 ----
    ac_save_LIBS="$LIBS"
  LIBS="-ldbm  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 2201 "configure"
  #include "confdefs.h"
  
  int main() {
***************
*** 2202,2208 ****
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:2206: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 2204,2210 ----
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:2208: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 2230,2236 ****
  fi
  
  echo $ac_n "checking for main in -lndbm""... $ac_c" 1>&6
! echo "configure:2234: checking for main in -lndbm" >&5
  ac_lib_var=`echo ndbm'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
--- 2232,2238 ----
  fi
  
  echo $ac_n "checking for main in -lndbm""... $ac_c" 1>&6
! echo "configure:2236: checking for main in -lndbm" >&5
  ac_lib_var=`echo ndbm'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
***************
*** 2238,2244 ****
    ac_save_LIBS="$LIBS"
  LIBS="-lndbm  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 2242 "configure"
  #include "confdefs.h"
  
  int main() {
--- 2240,2246 ----
    ac_save_LIBS="$LIBS"
  LIBS="-lndbm  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 2244 "configure"
  #include "confdefs.h"
  
  int main() {
***************
*** 2245,2251 ****
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:2249: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 2247,2253 ----
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:2251: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 2288,2299 ****
  fi
  
  echo $ac_n "checking for st_blksize in struct stat""... $ac_c" 1>&6
! echo "configure:2292: checking for st_blksize in struct stat" >&5
  if eval "test \"`echo '$''{'ac_cv_struct_st_blksize'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2297 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #include <sys/stat.h>
--- 2290,2301 ----
  fi
  
  echo $ac_n "checking for st_blksize in struct stat""... $ac_c" 1>&6
! echo "configure:2294: checking for st_blksize in struct stat" >&5
  if eval "test \"`echo '$''{'ac_cv_struct_st_blksize'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2299 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #include <sys/stat.h>
***************
*** 2301,2307 ****
  struct stat s; s.st_blksize;
  ; return 0; }
  EOF
! if { (eval echo configure:2305: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
    rm -rf conftest*
    ac_cv_struct_st_blksize=yes
  else
--- 2303,2309 ----
  struct stat s; s.st_blksize;
  ; return 0; }
  EOF
! if { (eval echo configure:2307: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
    rm -rf conftest*
    ac_cv_struct_st_blksize=yes
  else
***************
*** 2324,2335 ****
  # The Ultrix 4.2 mips builtin alloca declared by alloca.h only works
  # for constant arguments.  Useless!
  echo $ac_n "checking for working alloca.h""... $ac_c" 1>&6
! echo "configure:2328: checking for working alloca.h" >&5
  if eval "test \"`echo '$''{'ac_cv_header_alloca_h'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2333 "configure"
  #include "confdefs.h"
  #include <alloca.h>
  int main() {
--- 2326,2337 ----
  # The Ultrix 4.2 mips builtin alloca declared by alloca.h only works
  # for constant arguments.  Useless!
  echo $ac_n "checking for working alloca.h""... $ac_c" 1>&6
! echo "configure:2330: checking for working alloca.h" >&5
  if eval "test \"`echo '$''{'ac_cv_header_alloca_h'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2335 "configure"
  #include "confdefs.h"
  #include <alloca.h>
  int main() {
***************
*** 2336,2342 ****
  char *p = alloca(2 * sizeof(int));
  ; return 0; }
  EOF
! if { (eval echo configure:2340: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    ac_cv_header_alloca_h=yes
  else
--- 2338,2344 ----
  char *p = alloca(2 * sizeof(int));
  ; return 0; }
  EOF
! if { (eval echo configure:2342: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    ac_cv_header_alloca_h=yes
  else
***************
*** 2357,2368 ****
  fi
  
  echo $ac_n "checking for alloca""... $ac_c" 1>&6
! echo "configure:2361: checking for alloca" >&5
  if eval "test \"`echo '$''{'ac_cv_func_alloca_works'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2366 "configure"
  #include "confdefs.h"
  
  #ifdef __GNUC__
--- 2359,2370 ----
  fi
  
  echo $ac_n "checking for alloca""... $ac_c" 1>&6
! echo "configure:2363: checking for alloca" >&5
  if eval "test \"`echo '$''{'ac_cv_func_alloca_works'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2368 "configure"
  #include "confdefs.h"
  
  #ifdef __GNUC__
***************
*** 2385,2391 ****
  char *p = (char *) alloca(1);
  ; return 0; }
  EOF
! if { (eval echo configure:2389: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    ac_cv_func_alloca_works=yes
  else
--- 2387,2393 ----
  char *p = (char *) alloca(1);
  ; return 0; }
  EOF
! if { (eval echo configure:2391: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    ac_cv_func_alloca_works=yes
  else
***************
*** 2417,2428 ****
  
  
  echo $ac_n "checking whether alloca needs Cray hooks""... $ac_c" 1>&6
! echo "configure:2421: checking whether alloca needs Cray hooks" >&5
  if eval "test \"`echo '$''{'ac_cv_os_cray'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2426 "configure"
  #include "confdefs.h"
  #if defined(CRAY) && ! defined(CRAY2)
  webecray
--- 2419,2430 ----
  
  
  echo $ac_n "checking whether alloca needs Cray hooks""... $ac_c" 1>&6
! echo "configure:2423: checking whether alloca needs Cray hooks" >&5
  if eval "test \"`echo '$''{'ac_cv_os_cray'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2428 "configure"
  #include "confdefs.h"
  #if defined(CRAY) && ! defined(CRAY2)
  webecray
***************
*** 2447,2458 ****
  if test $ac_cv_os_cray = yes; then
  for ac_func in _getb67 GETB67 getb67; do
    echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
! echo "configure:2451: checking for $ac_func" >&5
  if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2456 "configure"
  #include "confdefs.h"
  /* System header to define __stub macros and hopefully few prototypes,
      which can conflict with char $ac_func(); below.  */
--- 2449,2460 ----
  if test $ac_cv_os_cray = yes; then
  for ac_func in _getb67 GETB67 getb67; do
    echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
! echo "configure:2453: checking for $ac_func" >&5
  if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2458 "configure"
  #include "confdefs.h"
  /* System header to define __stub macros and hopefully few prototypes,
      which can conflict with char $ac_func(); below.  */
***************
*** 2475,2481 ****
  
  ; return 0; }
  EOF
! if { (eval echo configure:2479: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_func_$ac_func=yes"
  else
--- 2477,2483 ----
  
  ; return 0; }
  EOF
! if { (eval echo configure:2481: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
    rm -rf conftest*
    eval "ac_cv_func_$ac_func=yes"
  else
***************
*** 2502,2508 ****
  fi
  
  echo $ac_n "checking stack direction for C alloca""... $ac_c" 1>&6
! echo "configure:2506: checking stack direction for C alloca" >&5
  if eval "test \"`echo '$''{'ac_cv_c_stack_direction'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
--- 2504,2510 ----
  fi
  
  echo $ac_n "checking stack direction for C alloca""... $ac_c" 1>&6
! echo "configure:2508: checking stack direction for C alloca" >&5
  if eval "test \"`echo '$''{'ac_cv_c_stack_direction'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
***************
*** 2510,2516 ****
    ac_cv_c_stack_direction=0
  else
    cat > conftest.$ac_ext <<EOF
! #line 2514 "configure"
  #include "confdefs.h"
  find_stack_direction ()
  {
--- 2512,2518 ----
    ac_cv_c_stack_direction=0
  else
    cat > conftest.$ac_ext <<EOF
! #line 2516 "configure"
  #include "confdefs.h"
  find_stack_direction ()
  {
***************
*** 2529,2535 ****
    exit (find_stack_direction() < 0);
  }
  EOF
! if { (eval echo configure:2533: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
  then
    ac_cv_c_stack_direction=1
  else
--- 2531,2537 ----
    exit (find_stack_direction() < 0);
  }
  EOF
! if { (eval echo configure:2535: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
  then
    ac_cv_c_stack_direction=1
  else
***************
*** 2551,2562 ****
  fi
  
  echo $ac_n "checking for off_t""... $ac_c" 1>&6
! echo "configure:2555: checking for off_t" >&5
  if eval "test \"`echo '$''{'ac_cv_type_off_t'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2560 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #if STDC_HEADERS
--- 2553,2564 ----
  fi
  
  echo $ac_n "checking for off_t""... $ac_c" 1>&6
! echo "configure:2557: checking for off_t" >&5
  if eval "test \"`echo '$''{'ac_cv_type_off_t'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2562 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #if STDC_HEADERS
***************
*** 2584,2595 ****
  fi
  
  echo $ac_n "checking for uid_t in sys/types.h""... $ac_c" 1>&6
! echo "configure:2588: checking for uid_t in sys/types.h" >&5
  if eval "test \"`echo '$''{'ac_cv_type_uid_t'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2593 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  EOF
--- 2586,2597 ----
  fi
  
  echo $ac_n "checking for uid_t in sys/types.h""... $ac_c" 1>&6
! echo "configure:2590: checking for uid_t in sys/types.h" >&5
  if eval "test \"`echo '$''{'ac_cv_type_uid_t'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2595 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  EOF
Index: harvest/src/configure.in
diff -c harvest/src/configure.in:2.1 harvest/src/configure.in:2.2
*** harvest/src/configure.in:2.1	Fri Mar 21 17:19:44 1997
--- harvest/src/configure.in	Fri May 30 18:49:16 1997
***************
*** 1,12 ****
  dnl
  dnl  Configuration input file for Harvest
  dnl
! dnl  Darren Hardy, hardy@cs.colorado.edu, July 1994 (autoconf v1.11)
! dnl  Darren Hardy, hardy@cs.colorado.edu, July 1995 (autoconf v2.4)
! dnl  Duane Wessels, wesels@cs.colorado.edu, Jan 1996 (autoconf v2.7)
  dnl
- dnl  configure.in,v 2.1 1997/03/21 17:19:44 sxw Exp
- dnl
  
  AC_PREREQ(2.12)
  
--- 1,8 ----
  dnl
  dnl  Configuration input file for Harvest
  dnl
! dnl  configure.in,v 2.2 1997/05/30 17:49:16 sxw Exp
  dnl
  
  AC_PREREQ(2.12)
  
***************
*** 146,155 ****
  	      strftime sysconf timegm usleep vfork)
  
  dnl Check for needed libraries
! AC_CHECK_LIB(socket, main, [XTRA_LIBS="$XTRA_LIBS -lsocket"])
  AC_CHECK_LIB(malloc, main, [XTRA_LIBS="$XTRA_LIBS -lmalloc"])
! AC_CHECK_LIB(nsl, main, [XTRA_LIBS="$XTRA_LIBS -lnsl"])
  AC_CHECK_LIB(resolv, main, [XTRA_LIBS="$XTRA_LIBS -lresolv"])
  
  dnl We found a version of libresolv on SunOS 4.x which requires -l44bsd
  dnl We have to first check to see if -l44bsd is present and has the
--- 142,154 ----
  	      strftime sysconf timegm usleep vfork)
  
  dnl Check for needed libraries
! 
  AC_CHECK_LIB(malloc, main, [XTRA_LIBS="$XTRA_LIBS -lmalloc"])
! 
! dnl These must be in this order for some Solaris systems
  AC_CHECK_LIB(resolv, main, [XTRA_LIBS="$XTRA_LIBS -lresolv"])
+ AC_CHECK_LIB(socket, main, [XTRA_LIBS="$XTRA_LIBS -lsocket"])
+ AC_CHECK_LIB(nsl, main, [XTRA_LIBS="$XTRA_LIBS -lnsl"])
  
  dnl We found a version of libresolv on SunOS 4.x which requires -l44bsd
  dnl We have to first check to see if -l44bsd is present and has the
Index: harvest/src/common/include/util.h
diff -c harvest/src/common/include/util.h:2.1 harvest/src/common/include/util.h:2.2
*** harvest/src/common/include/util.h:2.1	Fri Mar 21 19:21:02 1997
--- harvest/src/common/include/util.h	Fri May 30 19:00:29 1997
***************
*** 1,7 ****
  /*
   *  util.h - Common utilities for the Harvest Indexing system
   *
!  *  util.h,v 2.1 1997/03/21 19:21:02 sxw Exp
   *
   *  AUTHOR: Harvest derived
   *
--- 1,7 ----
  /*
   *  util.h - Common utilities for the Harvest Indexing system
   *
!  *  util.h,v 2.2 1997/05/30 18:00:29 sxw Exp
   *
   *  AUTHOR: Harvest derived
   *
***************
*** 257,262 ****
--- 257,267 ----
  #define MAXHOSTNAMELEN 64
  #endif
  
+ /* Some versions of Solaris with BIND don't define MAXHOSTNAMELEN */
+ #ifndef MAXHOSTNAMELEN
+ #define MAXHOSTNAMELEN 254
+ #endif
+ 
  
  typedef struct _host {
      char	key[MAXHOSTNAMELEN];	/* www.bar.com */
Index: harvest/src/gatherer/enumerate/httpenum-breadth.c
diff -c harvest/src/gatherer/enumerate/httpenum-breadth.c:2.5 harvest/src/gatherer/enumerate/httpenum-breadth.c:2.6
*** harvest/src/gatherer/enumerate/httpenum-breadth.c:2.5	Fri May  2 22:07:31 1997
--- harvest/src/gatherer/enumerate/httpenum-breadth.c	Mon May 26 17:50:26 1997
***************
*** 1,4 ****
! static char rcsid[] = "httpenum-breadth.c,v 2.5 1997/05/02 21:07:31 sxw Exp";
  /*
   *  httpenum-breadth.c - Breadth first RootNode URL enumerator for HTTP URLs
   *
--- 1,4 ----
! static char rcsid[] = "httpenum-breadth.c,v 2.6 1997/05/26 16:50:26 sxw Exp";
  /*
   *  httpenum-breadth.c - Breadth first RootNode URL enumerator for HTTP URLs
   *
***************
*** 445,450 ****
--- 445,451 ----
  	url_close(tup);
  	return 0;
      }
+     url_close(tup);
      return 1;
  }
  
